summaryrefslogtreecommitdiff
path: root/net-p2p/gnunet/files/gnunet.initd
diff options
context:
space:
mode:
Diffstat (limited to 'net-p2p/gnunet/files/gnunet.initd')
-rw-r--r--net-p2p/gnunet/files/gnunet.initd32
1 files changed, 32 insertions, 0 deletions
diff --git a/net-p2p/gnunet/files/gnunet.initd b/net-p2p/gnunet/files/gnunet.initd
new file mode 100644
index 00000000..ffd01070
--- /dev/null
+++ b/net-p2p/gnunet/files/gnunet.initd
@@ -0,0 +1,32 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need net
+}
+
+start() {
+ if ! test -f "/etc/gnunetd.conf"; then
+ eerror "You must create /etc/gnunetd.conf file first"
+ return 1
+ fi
+
+ ebegin "Starting GNUnet"
+ # -u username, -c path to gnunet.conf file
+ start-stop-daemon --start --quiet --background --exec /usr/bin/gnunetd \
+ -- -u gnunetd -c /etc/gnunetd.conf
+ eend $? "Failed to start GNUnet"
+}
+
+stop() {
+ ebegin "Stopping GNUnet"
+ killall gnunetd
+ eend $? "Failed to stop GNUnet"
+}
+
+restart() {
+ svc_stop
+ sleep 3
+ svc_start
+}